## org.apache.batik.dom.events
Interface NodeEventTarget

All Superinterfaces:
  org.w3c.dom.events.EventTarget

All Known Subinterfaces:
  ExtendedNode

All Known Implementing Classes:
  AbstractElement, AbstractNode

public interface NodeEventTarget
extends org.w3c.dom.events.EventTarget

A Node that uses an EventSupport for its event registration and dispatch.

Method Summary
`EventSupport` `getEventSupport()` Returns the event support instance for this node, or null if any.
`NodeEventTarget` `getParentNodeEventTarget()` Returns the parent node event target.

Methods inherited from interface org.w3c.dom.events.EventTarget
`addEventListener, dispatchEvent, removeEventListener`

Method Detail

### getEventSupport

    public EventSupport getEventSupport()

  Returns the event support instance for this node, or null if any.

### getParentNodeEventTarget

    public NodeEventTarget getParentNodeEventTarget()

  Returns the parent node event target.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.